Subject: bug#30430: [column] accounting for ansi color codes

From: Boruch Baum <[email-masked]>
Date: Mon, 12 Feb 2018 01:07:15 -0500

The `column -t' command doesn't align input properly when that input
includes ansi color codes.

An argument that it should do so, is that `column' serves to make input
more readable, and easier to find and compare fields of input data - the
same goal as colorization.

I encountered this when trying to columnate log output that had been fed
through the colorization program `ccze'.

Example: Compare the output of the following two one-liners:

 awk '{sub("install|configure|upgrade|trigproc","& _",$3);print}' \
 /var/log/dpkg.log | column -t

 awk '{sub("install|configure|upgrade|trigproc","& _",$3);print}' \
 /var/log/dpkg.log | ccze -m ansi -o noscroll >&1 | column -t

-- 
hkp://keys.gnupg.net
CA45 09B5 5351 7C11 A9D1  7286 0036 9E45 1595 8BC0